Connecting Visual Studio 2008 BIDS to TFS 2010 and 2012

Not all of us are so lucky that we can work with the latest bits at all time. Especially the folks that are in the Microsoft BI area always seem to be behind a release or two. This has always resulted in issues connecting to TFS from their version of Visual Studio.

For quite some time there has been a Forward Compatibility Patch for Visual Studio 2008 to connect to TFS 2010. But when it came to this patch, installation order is very important. If you wanted to use both BI Studio and connect to TFS the correct order would be:

  1. Visual Studio 2008
  2. Team Foundation Client 2008
  3. SQL Server BI Studio 2008r2
  4. Visual Studio 2008 SP1
  5. Visual Studio 2008 Forward Compatibility Patch for TFS 2010

Categories: Development
Permalink | Comments (0) | Post RSSRSS comment feed